// BlockPalette.as
// John Maloney, August 2009
//
// A BlockPalette holds the blocks for the selected category.
// The mouse handling code detects when a Block's parent is a BlocksPalette and
// creates a copy of that block when it is dragged out of the palette.

package {
	import mx.containers.Canvas;

public class BlockPalette extends Canvas {

	public function BlockPalette(w:int, h:int, c:int):void {
		setWidthHeight(w, h);
	}

	public function setWidthHeight(w:int, h:int):void {
		graphics.clear();
		graphics.beginFill(0x808080);
		graphics.drawRect(0, 0, w, h);
		graphics.endFill();
		width = w;
		height = h;
		scaleX = scaleY = 1;
	}

}}
